--
-- SampleOnCreate
--
-- Copyright (C) GIANTS Software GmbH, Confidential, All Rights Reserved.

SampleOnCreate = {};

local SampleOnCreate_mt = Class(SampleOnCreate);

-- this function is called by the onCreate user attribute in the sampleMap.i3d with the value 'modOnCreate.sampleTransformOnCreate'
function sampleTransformOnCreate(transformGroupId)
    print("This is a sample for a mod onCreate function");
    print("  The name of the transform group is: "..getName(transformGroupId));
    
    -- add a new instance of our class to the updateables of the current mission, so we get update and delete calls
    g_currentMission:addUpdateable(SampleOnCreate:new(transformGroupId));
end;
g_onCreateUtil.addOnCreateFunction("sampleTransformOnCreate", sampleTransformOnCreate);
-- this is needed for each on create function we want to use.
-- The first attribute is the name which can be used in the i3d, the second attribute is the function which should be called


function SampleOnCreate:new(id)
    local self = {};
    setmetatable(self, SampleOnCreate_mt);
    
    self.id = id;
    return self;
end;

function SampleOnCreate:delete()
    -- this is called as soon as the map is deleted
end;

function SampleOnCreate:update(dt)
    -- this is called every frame
    -- here you can do some fancy updating
end;